
  [ui-section=store-locations]:not(#\#){
    padding:attr(data-top-spacing px) var(--spacing-24) attr(data-bottom-spacing px) !important;
  }
  [ui-section=store-locations]{
    --per-page:attr(data-nbr-columns-desktop number);
    --gap:var(--spacing-24);
    display:grid;
    grid-gap:var(--spacing-32);
    gap:var(--spacing-32);
  }
  [ui-section=store-locations] [ui-slot=head]{
    gap:var(--spacing-24);
    width:100%;
  }
  [ui-section=store-locations] [ui-slot=head] .content{
    display:grid;
    grid-gap:var(--spacing-8);
    gap:var(--spacing-8);
  }
  [ui-section=store-locations] [ui-slot=head] .actions{
    display:flex;
    gap:var(--spacing-8);
    justify-content:var(--text-heading-alignment-desktop);
  }
  [ui-section=store-locations] .core-area [ui-block=location]{
    display:grid;
    grid-template-columns:40% auto;
    grid-gap:var(--spacing-24);
    gap:var(--spacing-24);
  }
  [ui-section=store-locations] .core-area [ui-block=location] .map{
    overflow:hidden;
    aspect-ratio:1/1;
    height:auto;
  }
  [ui-section=store-locations] .core-area [ui-block=location] .map iframe{
    width:100%;
    height:100%;
  }
  [ui-section=store-locations] .core-area [ui-block=location] .detail{
    display:flex;
    flex-direction:column;
    justify-content:space-between;
  }
  [ui-section=store-locations] .core-area [ui-block=location] .detail .name{
    text-transform:uppercase;
  }
  [ui-section=store-locations] .core-area [ui-block=location] .detail .info{
    display:grid;
    grid-gap:var(--spacing-16);
    gap:var(--spacing-16);
  }
  [ui-section=store-locations] .core-area [ui-block=location] .detail .info .directions{
    display:grid;
    grid-gap:var(--spacing-8);
    gap:var(--spacing-8);
    color:var(--color-on-surface-variant);
  }
  [ui-section=store-locations] .core-area [ui-block=location] .detail .info [ui-slot=link-button]{
    width:-moz-fit-content;
    width:fit-content;
    text-transform:uppercase;
  }
  @media (max-width: 1280px){
    [ui-section=store-locations]{
      --per-page:2;
    }
  }
  @media (max-width: 1028px){
    [ui-section=store-locations]{
      --per-page:1;
    }
    [ui-section=store-locations] [ui-slot=head] .actions{
      justify-content:var(--text-heading-alignment-mobile);
    }
  }
